Index: sandbox/workflow/branches/1015/js/jscode/wf_file_upload.js
===================================================================
--- sandbox/workflow/branches/1015/js/jscode/wf_file_upload.js	(revision 795)
+++ sandbox/workflow/branches/1015/js/jscode/wf_file_upload.js	(revision 3061)
@@ -149,4 +149,6 @@
 		};
 
+
+
 		// Set row value
 		new_row.innerHTML = element.value + '&nbsp;&nbsp;';
@@ -160,3 +162,9 @@
 	};
 
+	this.removeFile = function (me, nome){
+		me.parentNode.parentNode.removeChild(me.parentNode);
+		hd = document.getElementById("hd_remover_anexos");
+		hd.value += nome+"; ";
+	}
+
 };
Index: sandbox/workflow/branches/1015/js/jscode/wf_select_ldap_users.js
===================================================================
--- sandbox/workflow/branches/1015/js/jscode/wf_select_ldap_users.js	(revision 795)
+++ sandbox/workflow/branches/1015/js/jscode/wf_select_ldap_users.js	(revision 3061)
@@ -9,6 +9,11 @@
  * @param String opt_name Atributo que será atribuído ao name (innerHTML) das options da combo, por padrão é o 'cn'
  */
-function search_ldap_users_by_cn(cn, target, opt_id, opt_name, handleExpiredSessions)
-{
+function search_ldap_users_by_cn(cn, target, opt_id, opt_name, handleExpiredSessions, opt_complement)
+{  
+	// o parâmetro opt_complement foi acrescentado posteriormente a esta função, devido alguns métodos não utilizá-lo é
+	// necessário fazer o tratamento do mesmo caso não seja passado.
+	if(opt_complement == undefined)
+		opt_complement = '';
+
 /* Método que trata o retorno da chamada Ajax. Atribui os valores retornados à combobox */
 	function result_search_ldap_users_by_cn(data)
@@ -35,5 +40,5 @@
 			var container = document.getElementById(data["target"]);
 			container.innerHTML = "";
-			if(data['values'].length > 1){
+			if(data['values'].length >= 1){
 				container.disabled = true;
 				fill_combo_employee(data["target"], data["values"]);
@@ -44,8 +49,10 @@
 			}
 		}
+
+		return false;
 	}
 
 	var url = '$this.bo_utils.search_ldap_users_by_cn';
-	var param = "cn=" + cn + "&target=" + target + "&id=" + opt_id + "&name=" + opt_name;
+	var param = "cn=" + cn + "&target=" + target + "&id=" + opt_id + "&name=" + opt_name + "&complement=" + opt_complement;
 
 	document.getElementById(target + "_img").show();
Index: sandbox/workflow/branches/1015/js/jscode/participants.js
===================================================================
--- sandbox/workflow/branches/1015/js/jscode/participants.js	(revision 795)
+++ sandbox/workflow/branches/1015/js/jscode/participants.js	(revision 3061)
@@ -1,3 +1,4 @@
 var participantsClone = null;
+var chkOnlyVisibleAccountsClone = null;
 var searchTimer = null;
 var globalSearchEnter = true;
@@ -23,4 +24,5 @@
 	var params = {
 		organization: $F('organization'),
+		onlyVisibleAccounts: $F('onlyVisibleAccounts'),
 		entities: $F('entities'),
 		id: $F('id'),
@@ -34,4 +36,5 @@
 	var params = {
 		context: $F('sector'),
+		onlyVisibleAccounts: $F('onlyVisibleAccounts'),
 		entities: $F('entities'),
 		id: $F('id'),
@@ -46,4 +49,6 @@
 	setSelectValue($('participants'), data);
 	participantsClone = data;
+	if($('onlyVisibleAccounts'))
+		chkOnlyVisibleAccountsClone = $('onlyVisibleAccounts').checked;
 }
 
@@ -63,4 +68,6 @@
 	var reg = new RegExp("<option[^>]*>[^<]*" + searchString + "[^<]*<\/option>", "gi");
 	setSelectValue($('participants'), participantsClone.match(reg));
+	if($('onlyVisibleAccounts'))
+		$('onlyVisibleAccounts').checked = chkOnlyVisibleAccountsClone;
 
 	var participants = $('participants');
@@ -126,6 +133,9 @@
 
 		obj = $('participants');
-		if (obj)
+		if (obj){
 			participantsClone = obj.innerHTML;
+			if($('onlyVisibleAccounts'))
+				chkOnlyVisibleAccountsClone = $('onlyVisibleAccounts').checked;
+		}
 
 		obj = $('exitLink');
@@ -140,4 +150,8 @@
 		if (obj)
 			obj.focus();
+
+		obj = $('onlyVisibleAccounts');
+		if (obj)
+			obj.onclick = checkOnlyVisibleAccounts;
 
 		obj = $('useGlobalSearch');
@@ -149,4 +163,12 @@
 	});
 };
+
+function checkOnlyVisibleAccounts()
+{
+	if(!$('useGlobalSearch').checked)
+		getParticipants();
+	else
+		toggleFullSearch();
+}
 
 function participantsFilterName(name)
@@ -330,4 +352,5 @@
 	$('globalSearchWarnings').innerHTML = '';
 	var params = {
+		onlyVisibleAccounts: $F('onlyVisibleAccounts'),
 		searchTerm: $F('search'),
 		entities: $F('entities'),
@@ -341,5 +364,5 @@
 {
 	newWidth   = 500;
-	newHeight  = 290;
+	newHeight  = 315;
 	newScreenX = screen.width - newWidth;
 	newScreenY = 0;
Index: sandbox/workflow/branches/1015/js/orgchart/organization.js
===================================================================
--- sandbox/workflow/branches/1015/js/orgchart/organization.js	(revision 2063)
+++ sandbox/workflow/branches/1015/js/orgchart/organization.js	(revision 3061)
@@ -483,5 +483,5 @@
 			data[i]['tr_attributes']['class'] = "linha" + i%2;
 			data[i]['tr_attributes']['className'] = "linha" + i%2;
-			data[i]['funcionario_id_desc'] = '<a href="javascript:void(0)" class="lbOn" onmouseover="getEmployeeInfoTimer(event, ' + data[i]['funcionario_id'] + ', ' + organizationID + '); return false;" onmouseout="hideEmployeeInfo(); return false;" onclick="loadAddEmployeeUI(' + organizationID + ', function(){objEmployee.fillForm(' + dataHash.customInspect() + ')}); $(\'addEmployeeLink\').parentNode.removeChild($(\'addEmployeeLink\')); return false;">' + data[i]['funcionario_id_desc'] + '</a>' + (data[i]['removed'] ? ' <font color="red">(excluído)</font>' : '');
+			data[i]['funcionario_id_desc'] = '<a href="javascript:void(0)" class="lbOn" onmouseover="getEmployeeInfoTimer(event, ' + data[i]['funcionario_id'] + ', ' + organizationID + '); return false;" onmouseout="hideEmployeeInfo(); return false;" onclick="loadAddEmployeeUI(' + organizationID + ', function(){objEmployee.fillForm(' + dataHash.customInspect() + ')}); $(\'addEmployeeLink\').parentNode.removeChild($(\'addEmployeeLink\')); return false;">' + data[i]['funcionario_id_desc'] + '</a>' + (data[i]['removed'] ? ' <font color="red">(inativo)</font>' : '');
 			data[i]['actions'] = '<a href="#" onclick="objEmployee.remove({\'funcionario_id\': ' + data[i]['funcionario_id'] + ', \'organizacao_id\': ' + organizationID + '} , this.parentNode.parentNode); return false;"><img border="0" width="16" height="16" src="workflow/templateFile.php?file=images/button_cancel.png" /></a>';
 		}
@@ -537,5 +537,5 @@
 			data[i]['tr_attributes']['class'] = "linha" + i%2;
 			data[i]['tr_attributes']['className'] = "linha" + i%2;
-			data[i]['funcionario_id_desc'] = '<a href="javascript:void(0)" class="lbOn" onmouseover="getEmployeeInfoTimer(event, ' + data[i]['funcionario_id'] + ', ' + organizationID + '); return false;" onmouseout="hideEmployeeInfo(); return false;" onclick="loadAddEmployeeUI(' + organizationID + ', function(){objEmployee.fillForm(' + dataHash.customInspect() + ')}); $(\'addEmployeeLink\').parentNode.removeChild($(\'addEmployeeLink\')); return false;">' + data[i]['funcionario_id_desc'] + ' ' + complement + '</a>' + (data[i]['removed'] ? ' <font color="red">(excluído)</font>' : '');
+			data[i]['funcionario_id_desc'] = '<a href="javascript:void(0)" class="lbOn" onmouseover="getEmployeeInfoTimer(event, ' + data[i]['funcionario_id'] + ', ' + organizationID + '); return false;" onmouseout="hideEmployeeInfo(); return false;" onclick="loadAddEmployeeUI(' + organizationID + ', function(){objEmployee.fillForm(' + dataHash.customInspect() + ')}); $(\'addEmployeeLink\').parentNode.removeChild($(\'addEmployeeLink\')); return false;">' + data[i]['funcionario_id_desc'] + ' ' + complement + '</a>' + (data[i]['removed'] ? ' <font color="red">(inativo)</font>' : '');
 			data[i]['actions'] = '<a href="#" onclick="objEmployee.remove({\'funcionario_id\': ' + data[i]['funcionario_id'] + ', \'organizacao_id\': ' + organizationID + '} , this.parentNode.parentNode); return false;"><img border="0" width="16" height="16" src="workflow/templateFile.php?file=images/button_cancel.png" /></a>';
 			window.scrollTo(0,0);
Index: sandbox/workflow/branches/1015/index.php
===================================================================
--- sandbox/workflow/branches/1015/index.php	(revision 2372)
+++ sandbox/workflow/branches/1015/index.php	(revision 3061)
@@ -9,4 +9,7 @@
 *  option) any later version.                                              *
 \**************************************************************************/
+
+/* Including common stuff to prepare workflow to run. A session start is needed */
+require_once 'inc/common.inc.php';
 
 /* if the menuaction variable is set, then let the expresso index deal with it */
@@ -38,5 +41,4 @@
 	);
 	require_once '../header.inc.php';
-	require_once 'inc/common.inc.php';
 
 	if (isset($_GET['start_tab']))
